import { PrimitiveValue } from "./types";
/**
 * Encode a received cursor value into something that can be passed on to the user.
 */
export declare const encodeCursor: (cursor?: string | string[] | null) => string | undefined;
/**
 * Decode a received value into a Elasticsearch cursor.
 * If no value is received or is not decodable, return undefined.
 */
export declare const decodeCursor: (cursor?: string | null) => PrimitiveValue[] | undefined;
